Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84660 - xinitrc needs wmaker-ectomy
Summary: xinitrc needs wmaker-ectomy
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinitrc
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 03:52 UTC by Chris Ricker
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-24 20:55:59 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-02-20 03:52:00 UTC
Consider this the reverse of Bug 66225 ;-)

Now that wmaker is no longer shipped or supported, all the logic in xinitrc
dealing with it can be pulled:

[kaboom@skuld kaboom]$ more /etc/X11/xinit/Xclients 
<snip>
PREFERRED=
if [ -f /etc/sysconfig/desktop ]; then
    . /etc/sysconfig/desktop
    if [ "$DESKTOP" = "GNOME" ]; then
        PREFERRED=gnome-session
    elif [ "$DESKTOP" = "KDE" ]; then
        PREFERRED=startkde
    elif [ "$DESKTOP" = "WINDOWMAKER" ]; then
        PREFERRED=wmaker

(noticed this hitting some weirdness upgrading an old frankenstein system -- not
seeing that it would really cause problems for normal systems)

Comment 1 Mike A. Harris 2004-09-24 20:55:59 UTC
Ok, cleared out the windowmaker goobeedoos.  Thanks Chris.

xinitrc-4.0.6-1 in rawhide soonish.


Note You need to log in before you can comment on or make changes to this bug.